Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.wombat.event
Class TouchEvent

    java.lang.Object
      jcontrol.ui.wombat.event.TouchEvent

All Implemented Interfaces:
  Event

    public class TouchEvent

extends Object
implements Event

This event may be generated by the application's top level Frame object when the screen has been touched. It is sent down the component tree to any TouchListener component, for example a button.

(C) DOMOLOGIC Home Automation GmbH 2005 - 2007

See Also:
  `TouchListener`

Field Summary
`int` | `type` The type of the last touch.
`static int` | `TYPE_TOUCH_DRAGGED` Event type for touch dragged.
`static int` | `TYPE_TOUCH_PRESSED` Event type for touch pressed.
`static int` | `TYPE_TOUCH_RELEASED` Event type for touch released.
`int` | `x` The x position of the last touch.
`int` | `y` The y position of the last touch.

Constructor Summary
`TouchEvent(int type, int x, int y)` Creates a new touch event.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### TYPE_TOUCH_RELEASED

    public static final int TYPE_TOUCH_RELEASED

  Event type for touch released.

  See Also:
    Constant Field Values

### TYPE_TOUCH_PRESSED

    public static final int TYPE_TOUCH_PRESSED

  Event type for touch pressed.

  See Also:
    Constant Field Values

### TYPE_TOUCH_DRAGGED

    public static final int TYPE_TOUCH_DRAGGED

  Event type for touch dragged.

  See Also:
    Constant Field Values

### x

    public int x

  The x position of the last touch.

### y

    public int y

  The y position of the last touch.

### type

    public int type

  The type of the last touch.

Constructor Detail

### TouchEvent

    public TouchEvent(int type,
                      int x,
                      int y)

  Creates a new touch event.

  Parameters:
    `type` - the type
    `x` - the x position
    `y` - the y position

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD